## edu.msu.cme.rdp.classifier.readseqwrapper
Class ParsedSequence

    java.lang.Object
      edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence

All Implemented Interfaces:
  Sequence

    public class ParsedSequence

extends java.lang.Object
implements Sequence

A Sequence containing the sequence information.

Field Summary
`private static int[]` `charIntegerLookup`
`private static char[]` `complementLookup`
`private java.lang.String` `docText`
`private java.lang.Integer` `goodWordCount`
`private static int[]` `intComplementLookup`
`private static int` `MAX_ASCII`
`private java.lang.String` `name`
`private boolean` `reverse`
`private java.lang.String` `seqString`
`private java.lang.String` `title`

Fields inherited from interface edu.msu.cme.rdp.classifier.readseqwrapper.Sequence
`MASK, RNA_BASES, WORDSIZE`

Constructor Summary
`ParsedSequence(java.lang.String name, java.lang.String seq)` Creates new ParsedSequence.
`ParsedSequence(java.lang.String name, java.lang.String title, java.lang.String doc, java.lang.String seq)` Creates new ParsedSequence.

Method Summary
`int[]` `createWordIndexArr()` Fetches every overlapping word from the sequence string, changes each word to integer format and saves in an array.
`java.lang.String` `getDocumentText()` Returns the whole documentation in text.
`int` `getGoodWordCount()` Returns the number of words with valid bases.
`java.lang.String` `getName()` Returns the name of the sequence record.
`Sequence` `getReversedSeq()` Returns a Sequence object whose sequence string is the reverse complement of the current rRNA sequence string.
`static java.lang.String` `getReversedSeqString(java.lang.String seqString)` Returns the reverse complement string of the given rRNA sequence string .
`static int[]` `getReversedWord(int[] word)` Returns the reverse complement of the word in an integer array format.
`java.lang.String` `getSeqString()` Returns the sequence string.
`java.lang.String` `getTitle()` Returns the title of the documentation of the sequcence record.
`static int` `getWordIndex(int[] word)` Returns an integer representation of a single word.
`boolean` `isReverse()` Returns true if the sequence string is a minus strand.
`protected void` `setSeqString(java.lang.String s)` Sets the sequence string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

### title

    private java.lang.String title

### seqString

    private java.lang.String seqString

### docText

    private java.lang.String docText

### reverse

    private boolean reverse

### goodWordCount

    private java.lang.Integer goodWordCount

### MAX_ASCII

    private static final int MAX_ASCII

See Also:
  Constant Field Values

### complementLookup

    private static char[] complementLookup

### charIntegerLookup

    private static int[] charIntegerLookup

### intComplementLookup

    private static int[] intComplementLookup

Constructor Detail

### ParsedSequence

    public ParsedSequence(java.lang.String name,
                          java.lang.String seq)

  Creates new ParsedSequence.

### ParsedSequence

    public ParsedSequence(java.lang.String name,
                          java.lang.String title,
                          java.lang.String doc,
                          java.lang.String seq)

  Creates new ParsedSequence.

Method Detail

### setSeqString

    protected void setSeqString(java.lang.String s)

  Sets the sequence string.

### getName

    public java.lang.String getName()

  Returns the name of the sequence record.

  Specified by:
    `getName` in interface `Sequence`

### getSeqString

    public java.lang.String getSeqString()

  Returns the sequence string.

  Specified by:
    `getSeqString` in interface `Sequence`

### getTitle

    public java.lang.String getTitle()

  Returns the title of the documentation of the sequcence record.

  Specified by:
    `getTitle` in interface `Sequence`

### getDocumentText

    public java.lang.String getDocumentText()

  Returns the whole documentation in text.

### isReverse

    public boolean isReverse()

  Returns true if the sequence string is a minus strand.

  Specified by:
    `isReverse` in interface `Sequence`

### getReversedSeq

    public Sequence getReversedSeq()

  Returns a Sequence object whose sequence string is the reverse complement of the current rRNA sequence string.

  Specified by:
    `getReversedSeq` in interface `Sequence`

### getReversedSeqString

    public static java.lang.String getReversedSeqString(java.lang.String seqString)

  Returns the reverse complement string of the given rRNA sequence string .

### getReversedWord

    public static int[] getReversedWord(int[] word)

  Returns the reverse complement of the word in an integer array format.

### getWordIndex

    public static int getWordIndex(int[] word)

  Returns an integer representation of a single word.

### createWordIndexArr

    public int[] createWordIndexArr()

  Fetches every overlapping word from the sequence string, changes each word to integer format and saves in an array.

  Specified by:
    `createWordIndexArr` in interface `Sequence`

### getGoodWordCount

    public int getGoodWordCount()

  Returns the number of words with valid bases.

  Specified by:
    `getGoodWordCount` in interface `Sequence`